-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}
M.type = "auxilliary"
M.relevantDevice = nil 

local function updateGFX(dt)
  local rpm = math.floor( electrics.values.rpm + 0.5 or 0)
  local throttle = 0
  if rpm < 800 then throttle = 0.05
  electrics.values.throttle = throttle
  end
end
-- public interface
M.onInit = onInit
M.onReset = onReset
M.updateGFX = updateGFX

return M